## `<w-icon>` API

Unless otherwise noted all properties are HTML attributes (as opposed to JavaScript object properties).

### Properties

| Name | Type | Default | Summary |
|-|-|-|-|
| locale | `string` | `-` | Locale used for `<title>` text. |
| name | `string` | `-` | Icon filename (without .svg) |
| size | [`"small" \| "medium" \| "large" \| PixelValue \| undefined`](#small-medium-large-pixelvalue-undefined) | `"medium"` | Size: small, medium, large or pixel value (e.g. "32px"). |

### Property Details

#### locale

Locale used for `<title>` text.

Reads the `lang` attribute from `<html>`, falls back to 'en'.

- Type: `string`
- Default: `-`

#### name

Icon filename (without .svg)

- Type: `string`
- Default: `-`

#### size

Size: small, medium, large or pixel value (e.g. "32px").

- Type: [`"small" | "medium" | "large" | PixelValue | undefined`](#small-medium-large-pixelvalue-undefined)
- Default: `"medium"`

### Types

#### "small" | "medium" | "large" | PixelValue | undefined

`'small' | 'medium' | 'large' | `${number}px` | undefined`

